# rundeck_project – Manage Rundeck projects

New in version 2.4.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Create and remove Rundeck projects through HTTP API.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_version - | Default: 14 | Sets the API version used by module. API version must be at least 14.
name - / required |  | Sets the project name.

state
-

Choices:
- present ←
- absent

Create or remove Rundeck project.

token - / required |  | Sets the token to authenticate against Rundeck API.
url - / required |  | Sets the rundeck instance URL.

## Examples

    - name: Create a rundeck project
      rundeck_project:
        name: "Project_01"
        api_version: 18
        url: "https://rundeck.example.org"
        token: "mytoken"
        state: present

    - name: Remove a rundeck project
      rundeck_project:
        name: "Project_02"
        url: "https://rundeck.example.org"
        token: "mytoken"
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
after dictionary | success | dictionary containing project information after modification
before dictionary | success | dictionary containing project information before modification
rundeck_response string | failed | Rundeck response when a failure occurs

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Loic Blot (@nerzhul)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.